package com.yeejoin.amos.boot.module.common.api.service;



import com.yeejoin.amos.boot.module.common.api.dto.RequestData;
import com.yeejoin.amos.boot.module.common.api.dto.WaterResourceDto;
import com.yeejoin.amos.boot.module.common.api.dto.WaterResourceZhDto;

import java.util.List;
import java.util.Map;

/**
* 接口类
*
* @author system_generator
* @date 2021-06-29
*/
public interface IWaterResourceService {
	

	/***
	 *
	 *  指挥水源资源 列表
	 *
	 * **/
	List<WaterResourceZhDto> getWaterResourceList(Integer pageNum, Integer pageSize, RequestData requestData);
	/***
	 *
	 *  指挥水源资源统计
	 *
	 * **/
	Integer getWaterResourceListCount(RequestData requestData);
	/**
	 *
	 *  指挥水源资源详情
	 *
	 * */
	WaterResourceDto selectBySequenceNbr(Long id);

    Map<String, Object> getResourcesCount();
}
